Bug 1127883 - [Doc] Inaccurate information regarding RHEL7 NetworkManager
Summary: [Doc] Inaccurate information regarding RHEL7 NetworkManager
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Linux
high
low
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Martin Lopes
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 18:23 UTC by John Fulton
Modified: 2015-03-10 01:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-10 01:51:33 UTC


Attachments (Terms of Use)

Description John Fulton 2014-08-07 18:23:41 UTC
Title: 

Description of problem:

Section '7.4.1. Disable Network Manager' of the Installation and Configuration Guide for Red Hat Enterprise Linux OpenStack Platform 5 on Red Hat Enterprise Linux states "The Network Manager service is not currently enabled by default on Red Hat Enterprise Linux installations where one of these package groups was selected during installation" and lists several options including Minimal Install. However, a Minimal Install does enable NetworkManager and the /etc/sysconfig-networkscripts/ifcfg-X file(s) generated by the install were set up by NetworkManager. 

Version-Release number of selected component (if applicable):

Suggestions for improvement:

Update section '7.4.1. Disable Network Manager' to contain an updated list or when  NetworkManager is enabled OR simplify it to not make the claim about when it is enabled or not and just ask the user to make sure it is disabled following the steps in the rest of the document. 

Additional info:

URL of the document: 

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/5/html/Installation_and_Configuration_Guide/sect-Common_Networking_Configuration.html#Disabling_Network_Manager

Comment 3 Martin Lopes 2014-08-22 04:19:51 UTC
Updated documentation:

* Removed list of cases where NetworkManager might be running, and instead re-phrased the preamble to the procedure:
---------
These steps determine the state of the NetworkManager service, disable it from running, and replace it with the standard network service
---------


Note You need to log in before you can comment on or make changes to this bug.